<?php

namespace FiloBlu\Rma\Api\Data;

/**
 *
 */
interface ChangeSizeItemsInterface
{
    const PARENT_ORDER_ID = 'parent_order_id';
    const PARENT_ORDER_INCREMENT_ID = 'parent_order_increment_id';
    const RMA_ID = 'rma_id';
    const RMA_INCREMENT_ID = 'rma_increment_id';
    const PARENT_ORDER_ITEM = 'parent_order_item';
    const PARENT_PRODUCT_SKU = 'parent_product_sku';
    const NEW_PRODUCT_SKU = 'new_product_sku';
    const IS_EASY_RETURN = 'is_easy_return';
    const RMA_ITEM_ID = 'rma_item_id';
    const CHANGE_SIZE_ORDER_ID = 'change_size_order_id';
    const CHANGE_SIZE_ORDER_INCREMENT_ID = 'change_size_order_increment_id';
    /**
     * @return mixed
     */
    public function getParentOrderId();

    /**
     * @param $parentOrderId
     * @return mixed
     */
    public function setParentOrderId($parentOrderId);

    /**
     * @return mixed
     */
    public function getParentOrderIncrementId();

    /**
     * @param $parentIncrementId
     * @return mixed
     */
    public function setParentOrderIncrementId($parentIncrementId);

    /**
     * @return mixed
     */
    public function getRmaId();

    /**
     * @param $rmaId
     * @return mixed
     */
    public function setRmaId($rmaId);

    /**
     * @return mixed
     */
    public function getRmaIncrementId();

    /**
     * @param $rmaIncrementId
     * @return mixed
     */
    public function setRmaIncrementId($rmaIncrementId);

    /**
     * @return mixed
     */
    public function getParentOrderItem();

    /**
     * @param $parentOrderItem
     * @return mixed
     */
    public function setParentOrderItem($parentOrderItem);

    /**
     * @return mixed
     */
    public function getParentProductSku();

    /**
     * @param $parentProductSku
     * @return mixed
     */
    public function setParentProductSku($parentProductSku);

    /**
     * @return mixed
     */
    public function getNewProductSku();

    /**
     * @param $newProductSku
     * @return mixed
     */
    public function setNewProductSku($newProductSku);

    /**
     * @return mixed
     */
    public function getIsEasyReturn();

    /**
     * @param $isEasyReturn
     * @return mixed
     */
    public function setIsEasyReturn($isEasyReturn);

    /**
     * @return mixed
     */
    public function getRmaItemId();

    /**
     * @param $rmaItemId
     * @return mixed
     */
    public function setRmaItemId($rmaItemId);

    /**
     * @return mixed
     */
    public function getChangeSizeOrderId();

    /**
     * @param $changeSizeOrderId
     * @return mixed
     */
    public function setChangeSizeOrderId($changeSizeOrderId);

    /**
     * @return mixed
     */
    public function getChangeSizeOrderIncrementId();

    /**
     * @param $changeSizeOrderIncrementId
     * @return mixed
     */
    public function setChangeSizeOrderIncrementId($changeSizeOrderIncrementId);
}
